Update the fields of a budget entry. Send only the fields to change. You cannot change id, created_at, updated_at and budget_id. Dates use the ISO 8601 format. You must be an administrator.
PUT
/data/budget-entries/{instance_id}
curl \
--request PUT '/api/data/budget-entries/a24a6ea4-ce75-4665-a070-57453082c250' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"start_date": "2024-01-15",
"months_duration": 3,
"daily_salary": 42.0,
"position": "artist",
"seniority": "mid",
"exceptions": {}
}'
Request examples
{
"department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"start_date": "2024-01-15",
"months_duration": 3,
"daily_salary": 42.0,
"position": "artist",
"seniority": "mid",
"exceptions": {}
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"budget_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"start_date": "2024-01-15",
"months_duration": 3,
"daily_salary": 1500.0,
"position": "artist",
"seniority": "mid",
"exceptions": {},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}